Inbound Number Details
curl --request GET \
--url https://app.luly.ai/api/v1/inbound/{phone_number} \
--header 'authorization: <authorization>'import requests
url = "https://app.luly.ai/api/v1/inbound/{phone_number}"
headers = {"authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {authorization: '<authorization>'}};
fetch('https://app.luly.ai/api/v1/inbound/{phone_number}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created_at": "2023-11-27T17:21:38.33359+00:00",
"phone_number": "+18584139939",
"prompt": "You're chloe, the helpful AI assistant. The person calling you has inquired...",
"webhook": "https://webhook.site/0a0a0a0a-0a0a-0a0a-0a0a-0a0a0a0a0a0",
"voice_id": 2,
"dynamic_data": null,
"max_duration": 30
}
Inbound Numbers
Inbound Number Details
Retrieve settings for your inbound phone number.
GET
/
v1
/
inbound
/
{phone_number}
Inbound Number Details
Headers
string
required
Your API key for authentication.
Path Parameters
string
The inbound phone number to update.Formatting notes:
- The
'+'or'%2B'prefix is optional. - Will assume a US country code if no country code is provided.
+13334445555:%2B13334445555133344455553334445555
Response
string
The timestamp when the inbound number was configured.
string
The specific inbound phone number.
string
The prompt your agent is using.
string
The webhook URL, if any, where transcripts are sent after each call to the number completes.
integer
The voice your agent is currently using.For more information, see List Voices.
string
The background track your agent is using.Will be
null by default, until an option such as office, cafe, restaurant, or none is applied.string
The
pathway_id your agent is using.string
Any dynamic data associated with the inbound number, if applicable.
integer
The maximum duration of a call to the inbound number, in minutes.
{
"created_at": "2023-11-27T17:21:38.33359+00:00",
"phone_number": "+18584139939",
"prompt": "You're chloe, the helpful AI assistant. The person calling you has inquired...",
"webhook": "https://webhook.site/0a0a0a0a-0a0a-0a0a-0a0a-0a0a0a0a0a0",
"voice_id": 2,
"dynamic_data": null,
"max_duration": 30
}